Skip to content

Audit

Retrieve audit-trail activity for platform assets. Supports searching the audit trail by asset IDs and paging through results by cursor.

Fetch next audit page by cursor

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Cursor id from a previous audit search response

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/audit?id=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
resultsArray of objects

List to assets returned as part of search

cursorstring

Link to get next set of results

countinteger, (int64)
Response
{ "results": [ {} ], "cursor": "string", "count": 0 }